APACHE我已经配起来了.可他就是不解析PHP.怎么回事啊

中原一点点 技术总监  2004-08-10 02:17:55
APACHE我已经配起来了.可以正常工作,也就是可以解析HTML了.
然后我加了
AddType application/x-httpd-php .php

AddType application/x-httpd-php .php4

这两行.

可是我不管怎么进PHP的页面总是会变成要我下载...
也就是无法解析PHP.这是怎么回事??
我的PHP版本是4.38
apache是2.05的.试了没用我又换成1.31的版本,还是没有用.

到底是我忽视了哪一点????

我看教程上都是这么配的啊~~~~~~~~~~~
...全文
145 点赞 收藏 9
写回复
9 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
hlddn 2004-08-11
你编译php的时候是怎么编译的?带apache了吗?
回复
中原一点点 2004-08-10
linux下面..没system32目录呀
回复
黑夜路人 2004-08-10
估计是唠叨说的问题...
把部分.dll文件考到system32下...
回复
lzkd 2004-08-10
造成一个下载框出现的情况,是典型的没配置好.楼主继续努力
回复
dhlxmy 2004-08-10
很有可能是版本不对,照成的
回复
中原一点点 2004-08-10
api/apache/php_apache.lo main/internal_functions.lo -lcrypt -lcrypt -lresolv
-lm -ldl -lnsl -lcrypt -lcrypt -o libphp4.la
ext/ctype/ctype.lo: file not recognized: File truncated
collect2: ld returned 1 exit status
make: *** [libphp4.la] Error 1


这是什么意思
回复
中原一点点 2004-08-10
2楼的.忘说了我是LINUX下面的.
回复
xuzuning 2004-08-10
建议你认真看一下手册
例子 3-7. PHP 以 CGI 方式安装到 Apache 2.0

ScriptAlias /php/ "c:/php/"
AddType application/x-httpd-php .php
Action application/x-httpd-php "/php/php.exe"




如果您想把 PHP 作为 Apache 2.0 的模块,请务必移动 php4ts.dll 到 winnt/system32(Windows NT/2000)或 windows/system32(Windows XP),覆盖原有文件(如果有的话),对于 PHP 5,这个文件是 php5ts.dll。然后您需要插入如下两行到 httpd.conf 中,以使您的 PHP 作为 Apache 的 PHP-Module 安装: 例子 3-8. PHP 以模块方式安装到 Apache 2.0

; For PHP 4 do something like this:
LoadModule php4_module "c:/php/sapi/php4apache2.dll"
AddType application/x-httpd-php .php

; For PHP 5 do something like this:
LoadModule php5_module "c:/php/sapi/php5apache2.dll"
AddType application/x-httpd-php .php




回复
boris2002 2004-08-10
安装php:
./configure --with-apxs=/usr/local/apache/bin/apxs
make
make install
回复
相关推荐
发帖
基础编程
创建于2007-09-28

2.1w+

社区成员

从PHP安装配置,PHP入门,PHP基础到PHP应用
申请成为版主
帖子事件
创建了帖子
2004-08-10 02:17
社区公告
暂无公告